<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_24</title>
</head>
<body>
    <h1>Ejercicio 24</h1>
    <script>
    /*24) Programa una función que dado un arreglo de números devuelva un 
    objeto con dos arreglos, el primero tendrá los numeros ordenados en 
    forma ascendente y el segundo de forma descendiente, pe. miFuncion
    ([7, 5,7,8,6]) devolverá { asc: [5,6,7,7,8], desc: [8,7,7,6,5] }.*/

    const ordenarAscDesc = (numeros =  undefined) => {

        if (numeros === undefined) return console.warn("No se ingreso un Arreglo de números");
        if (!(numeros instanceof Array)) 
           return console.warn(`No es Arreglo`);
        if (numeros.length === 0) return console.warn("El arreglo esta vacio");
        for (let num of numeros) {
            if (typeof num !== "number")
            return console.error(`El valor ingresado ${num}, No es un numero`);
        }

        return console.log( {
            numeros,
            ascendentes : numeros.map(el => el).sort(),
            descendentes : numeros.map(el => el).sort().reverse()
        })  
    }

    ordenarAscDesc([7,5,7,8,6]);
    ordenarAscDesc([]);
    ordenarAscDesc([7,5,"a",8,6]);
    ordenarAscDesc("hola");

    </script>
    
</body>
</html>